import 'package:example/console/console_button.dart';
import 'package:example/generated/assets.dart';
import 'package:example/pages/award/award_controller.dart';
import 'package:example/pages/widgets/guru_demo_page.dart';
import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:guru_utils/router/router.dart';
import 'package:guru_widgets/guru_widgets.dart';
import 'package:guru_popup/guru_popup.dart';
import '../../theme/button/custom_standard_button_theme.dart';
import 'package:guru_widgets/theme/guru_theme.dart';
import 'package:guru_widgets/pages/awards/guru_awards_page.dart';
import 'package:guru_widgets/tabbar/guru_tab_bar.dart';
import 'package:daily_challenge/ui/pages/award/trophy_exhibit_widget.dart';

class AwardPage extends GetWidget<AwardController> {
  const AwardPage({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return GuruAwardsPage(
      backgroundColor: Colors.white,
      showTabbar: true, 
      items: [
         GuruTabBarItem(title: 'moth'),
         GuruTabBarItem(title: 'event')
      ],
      bodyBuilders: (context, design) {
        return [
          TrophyExhibitWidget(),
          TrophyExhibitWidget()
        ];
    },);
  }
}
